# module Warden::Mixins::Common

### Public Instance Methods

cookies() click to toggle source

    # File lib/devise/rails/warden_compat.rb, line 11
    def cookies
      request.cookie_jar
    end

request() click to toggle source

    # File lib/devise/rails/warden_compat.rb, line 2
    def request
      @request ||= ActionDispatch::Request.new(env)
    end

reset_session!() click to toggle source

This is called internally by Warden on logout

    # File lib/devise/rails/warden_compat.rb, line 7
    def reset_session!
      request.reset_session
    end